Page MenuHomePhabricator

New Pages Feed: arrangement of metadata in feed
Closed, ResolvedPublic

Description

Now that we have added several new metadata items about each page in the New Pages Feed (AfC state, declined/submitted date, predicted class, predicted issues), the feed is looking more cluttered and difficult to read. This task is about cleaning up and re-arranging the new metadata.

@RHo made the mockups below. Here is the description:

* (AfC only) Move Submitted/Declined date below the Creation date
* (AfC only) When state is "Declined", don't need to list state separately, because that is captured by listing the "Declined date". If this logic is annoying, we could forego it and also show the state.
* (AfC only) State does not need the prefix "State:"
* "Predicted issues" renamed to "Potential issues"
* Copyvio gets listed with "Potential issues", separated with dot, and link icon to external service
* "Potential issues" aligned right for easier scanning.
* Only show text in Red when there are potential issues
* Align text underneath title left with title (remove margin-left:25px)
* Description text becomes left column in the CSS

Details

Related Gerrit Patches:
mediawiki/extensions/PageTriage : masterMake copyvio issue link bold
mediawiki/extensions/PageTriage : masterRearrange page metadata

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2018, 7:06 PM

(AfC only) When state is "Declined", don't need to list state separately, because that is captured by listing the "Declined date". If this logic is annoying, we could forego it and also show the state.

State can be unsubmitted, awaiting review, under review, or declined.

When it's awaiting review or under review, we show the date as "Submitted date:". Changing it to some to have distinct labels for those states would be completely unambiguous and would remove the need for "State: blah" in the UI.

Something like:

  • Submitted on:
  • Under review since:
  • Declined on:

Change 454907 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] [wip] Rearrange page metadata

https://gerrit.wikimedia.org/r/454907

NPP before:

NPP after:

AFC before:

AFC after:

It looks like the "State" field disappeared in the AFC display, is that intended?

Stephane says it didn't disappear, the state is displayed as part of the submission/decline date if the state is anything other than "unsubmitted":

Change 454907 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Rearrange page metadata

https://gerrit.wikimedia.org/r/454907

Etonkovidova added a subscriber: Etonkovidova.EditedAug 28 2018, 11:28 PM

The latest screenshot showing states and potential issues on the left side (testwiki wmf.19):

@MMiller_WMF I marked with green exclamation points the specs that have not been implemented yet. There is still a noticeable bug with selecting a menu options - T202917: [betalabs] AfC - Sort order options not in sync with State options

Copyvio gets listed with "Potential issues", separated with dot, and link icon to external service

ORES scores are not present yet for copyvio marked results. Btw, there are no copyvio scores in testwiki.

"Potential issues" aligned right for easier scanning.

'Copyvio' is not marked in red.

Thank you for reviewing this, @Etonkovidova. I agree that we need to address the two issues Elena identified:

  • We need to be able to indicate when a page has both an ORES issue and a copyvio issue, as shown in the mockup.
  • Although I now think that the copyvio link shouldn't be red (because it's a link, and users know that links are blue), I do think it needs to be bold, like the ORES issues are.

Elena said she would file separate tasks for these two outstanding issues, and then will move this to Done.

Change 456299 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Make copyvio issue link bold

https://gerrit.wikimedia.org/r/456299

Thank you for reviewing this, @Etonkovidova. I agree that we need to address the two issues Elena identified:

  • We need to be able to indicate when a page has both an ORES issue and a copyvio issue, as shown in the mockup.

This is already the case. Please provide an example where it doesn't do it.

  • Although I now think that the copyvio link shouldn't be red (because it's a link, and users know that links are blue), I do think it needs to be bold, like the ORES issues are.

I'll make it bold right away (patch is ready for review). No need for a new task for that.

Elena said she would file separate tasks for these two outstanding issues, and then will move this to Done.

Change 456299 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Make copyvio issue link bold

https://gerrit.wikimedia.org/r/456299

Copyvio is bold now - and, since it's a link it changes colors as a clicked ink vs unclicked link:

Etonkovidova closed this task as Resolved.Sep 17 2018, 11:16 PM
Etonkovidova updated the task description. (Show Details)